Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynStruct_i Class Reference

`#include <DynStruct_i.h>`

Inheritance diagram for TAO_DynStruct_i:

[legend]
Collaboration diagram for TAO_DynStruct_i:

[legend]
List of all members.

## Public Methods
| TAO_DynStruct_i (void)
| ~TAO_DynStruct_i (void)
void | init (CORBA_TypeCode_ptr tc ACE_ENV_ARG_DECL)
void | init (const CORBA_Any &any ACE_ENV_ARG_DECL)
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual DynamicAny::FieldName | current_member_name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::TCKind | current_member_kind (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual DynamicAny::NameValuePairSeq * | get_members (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | set_members (const DynamicAny::NameValuePairSeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual DynamicAny::NameDynAnyPairSeq * | get_members_as_dyn_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | set_members_as_dyn_any (const DynamicAny::NameDynAnyPairSeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | from_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any * | to_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | equal (DynamicAny::DynAny_ptr dyn_any ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | current_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
## Static Public Methods
TAO_DynStruct_i * | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Private Methods
void | check_typecode (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL)
void | init_common (void)
| TAO_DynStruct_i (const TAO_DynStruct_i &src)
TAO_DynStruct_i & | operator= (const TAO_DynStruct_i &src)
## Private Attributes
ACE_Array_Base< DynamicAny::DynAny_var > | da_members_

## Constructor & Destructor Documentation

TAO_DynStruct_i::TAO_DynStruct_i | ( | void |  | ) |

TAO_DynStruct_i::~TAO_DynStruct_i | ( | void |  | ) |

TAO_DynStruct_i::TAO_DynStruct_i | ( | const TAO_DynStruct_i & | src | ) | `[private]`

## Member Function Documentation

TAO_DynStruct_i * TAO_DynStruct_i::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Reimplemented from DynamicAny::DynStruct.

void * TAO_DynStruct_i::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from DynamicAny::DynStruct.

void TAO_DynStruct_i::check_typecode | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | `[private]`

DynamicAny::DynAny_ptr TAO_DynStruct_i::current_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::TCKind TAO_DynStruct_i::current_member_kind | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynStruct.

DynamicAny::FieldName TAO_DynStruct_i::current_member_name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynStruct.

void TAO_DynStruct_i::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::Boolean TAO_DynStruct_i::equal | ( | DynamicAny::DynAny_ptr dyn_any | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual void TAO_DynStruct_i::from_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynamicAny::NameValuePairSeq * TAO_DynStruct_i::get_members | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynStruct.

DynamicAny::NameDynAnyPairSeq * TAO_DynStruct_i::get_members_as_dyn_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynStruct.

void TAO_DynStruct_i::init | ( | const CORBA_Any &any | ACE_ENV_ARG_DECL | ) |

void TAO_DynStruct_i::init | ( | CORBA_TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) |

void TAO_DynStruct_i::init_common | ( | void |  | ) | `[private]`

TAO_DynStruct_i& TAO_DynStruct_i::operator= | ( | const TAO_DynStruct_i & | src | ) | `[private]`

virtual void TAO_DynStruct_i::set_members | ( | const DynamicAny::NameValuePairSeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynStruct.

virtual void TAO_DynStruct_i::set_members_as_dyn_any | ( | const DynamicAny::NameDynAnyPairSeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynStruct.

CORBA::Any_ptr TAO_DynStruct_i::to_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

## Member Data Documentation

ACE_Array_Base<DynamicAny::DynAny_var> TAO_DynStruct_i::da_members_`[private]`

The documentation for this class was generated from the following files:

- DynStruct_i.h
- DynStruct_i.cpp